<?
session_start();
include("../../clases/BDConexion.php");
include("../../clases/clsPer.php");
$objPer=new clsPer;
	if($ver=='1'){  
		//$pasajeros_temp = array();
		//$pasajeros_temp1 = array();
	}
/* $numorigen=$origen;
$numdestino=$destino;
$rsod=$objPer->getNombreOD($origen,$destino);
$rowod=$objPer->NextRow($rsod);
$origen=$rowod['de'];
$destino=$rowod['para']; */
//*****************************************************
$numorigen=$origen;
$numdestino=$destino;
$rso=$objPer->getNombreO($cod_ruta,$numorigen);
$rowo=$objPer->NextRow($rso);
$rsd=$objPer->getNombreD($cod_ruta,$numdestino);
$rowd=$objPer->NextRow($rsd);
$origen1=$rowo['de'];
$destino1=$rowd['para'];
//*****************************************************
$rs=$objPer->getLugarDistanciaParam($origen1,$destino1);
$row=$objPer->NextRow($rs);

if($row['distancia']==''){
$distancia=0;
}elseif($row['distancia']!=''){
$distancia=$row['distancia'];
}

$rsper=$objPer->getManRutaPass($cod_ruta,$origen1,$destino1);
$rowper=$objPer->NextRow($rsper);
$numasientos=$rowper['numero'];
if($numasientos==''){
$numasientos=0;
}elseif($numasientos!=''){
$numasientos=$rowper['numero'];
}
//********************************************************************
//$existeruta=$objPer->ExisteManRutaPassOD($cod_ruta,$origen,$destino);
//$existeruta=$objPer->ExisteRutaOD($cod_ruta,$origen,$destino);
//********************************************************************
$rstrans=$objPer->getManTrans($mat_trans);
$rowtrans=$objPer->NextRow($rstrans);

$rsth=$objPer->getTransTH($matricula);
$rowth=$objPer->NextRow($rsth);

count($pasajeros1);

	if(count($pasajeros1)==0){
		$rsd=$objPer->getRutasLineas($cod_ruta,$numorigen,$numdestino);							   
        while($rowd=$objPer->NextRow($rsd)){
			if($tipo_mpass=='PASAJERO'){
			$origen=$rowd['de'];
			$destino=$rowd['para'];
			$numorigen=$rowd['numorigen'];	
			$numdestino=$rowd['numdestino'];
			$rsdis=$objPer->getLugarDistanciaParam1($origen,$destino);
			$rowdis=$objPer->NextRow($rsdis);	
			$id=$objPer->registrarManRutaPass($cod_ruta,$origen,$destino,($peso_per+$peso_eq),$numorigen,$numdestino);
			$pasajeros1[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$rowdis['distancia'],$id,$codigo_mpass,$numorigen,$numdestino);
			}
		}$objPer->Liberar($rsd);
		if($tipo_mpass=='TRIPULANTE'){
		$peso_per=0;
		$peso_eq=0;
		$pasajeros1[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen1,$destino1,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);
		}		
		$pasajeros1_temp=$pasajeros1;
		$salto=3;
	}elseif(count($pasajeros1)>0){	
		if($tipo_mpass=='PASAJERO'){
			//if($numasientos<$rowtrans['cappass_trans']){ //$rowtrans['cappass_trans']		
				$rsd=$objPer->getRutasLineas($cod_ruta,$numorigen,$numdestino);							   
        		while($rowd=$objPer->NextRow($rsd)){
				$origen=$rowd['de'];
				$destino=$rowd['para'];	
				$numorigen=$rowd['numorigen'];	
				$numdestino=$rowd['numdestino'];
				$rsdis=$objPer->getLugarDistanciaParam1($origen,$destino);
				$rowdis=$objPer->NextRow($rsdis);					
				$id=$objPer->registrarManRutaPass($cod_ruta,$origen,$destino,($peso_per+$peso_eq),$numorigen,$numdestino);				
				$pasajeros1[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen,$destino,$rowdis['distancia'],$id,$codigo_mpass,$numorigen,$numdestino);
				}$objPer->Liberar($rsd);
				$pasajeros1_temp=$pasajeros1;				
			/* }else{
			echo "No puede Ingresar mas pasajeros";
			} */
		}elseif($tipo_mpass=='TRIPULANTE'){			
			$pasajeros1_temp=$pasajeros1;
				while(list($clavex,$valorx)=each($pasajeros1_temp)){										
					if($valorx[1]==$dociden_per){
					echo "ya existe el personal en la lista";
					$salto=1;
					break; 								
					}else{
						if($valorx[1]==$dociden_per){
						$salto=1;
						}else{
						$salto=2;
						}			
					}
				}
			
				if($salto==1){ 
				$pasajeros1_temp=$pasajeros1;
				
				}elseif($salto==2){			
				$peso_per=0;
				$peso_eq=0;	
				$pasajeros1[]=array("$personal",$dociden_per,$razon_emp,$peso_per,$peso_eq,$tipo_mpass,$ccosto,$origen1,$destino1,$distancia,$id,$codigo_mpass,$numorigen,$numdestino);			
				$pasajeros1_temp=$pasajeros1;
				
				}			
		}
			
	} 




$v=1;
$cod_ruta=$cod_ruta;
$via=$via;
$cod_man=$cod_man;
$pesotrans=$rowtrans['capcarg_trans'];
$tipohora=$rowth['tipohora'];
$rowper['numero'];
include("../p_per_detalle_ver.php");
?>